Bug 1295400 - Advanced search saved filter delete does not confirm.
Advanced search saved filter delete does not confirm.
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Dávid Halász
Taras Lehinevych
Depends On:
Blocks: 1295526
  Show dependency treegraph
Reported: 2016-01-04 06:01 EST by Milan Falešník
Modified: 2016-08-02 21:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295526 (view as bug list)
Last Closed: 2016-06-29 11:24:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Falešník 2016-01-04 06:01:00 EST
Description of problem:
Advanced search - when you delete a saved filter, it does not ask you for confirmation as it used to do before, deleting the filter on click.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to the Providers, advanced search, specify some random conditions as a filter and then save it
2. Load the filter.
3. Click Delete.

Actual results:
Filter gets deleted immediately

Expected results:
Deletion is confirmed by a JS dialog.

Additional info:
Comment 3 CFME Bot 2016-01-14 11:31:36 EST
New commit detected on ManageIQ/manageiq/master:

commit 3ca3c267367342009c8268778d166d5732993aa3
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Jan 12 11:02:57 2016 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Jan 14 15:48:50 2016 +0100

    Rewritten `confirm` parameter to `data-confirm-ujs` in adv_search

 app/views/layouts/_adv_search_footer.html.haml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)
Comment 5 CFME Bot 2016-01-19 22:42:39 EST
Detected commit referencing this ticket while ticket status is MODIFIED.
Comment 6 Taras Lehinevych 2016-04-20 08:10:41 EDT
Verified in
Comment 8 errata-xmlrpc 2016-06-29 11:24:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.